QB_LIST_DEL(3)

NAME
qb_list_del - Delete an entry from the list.

SYNOPSIS
#include <qb/qblist.h>

static void qb_list_del(
    struct qb_list_head   *_remove   /* the list item to remove */
);

PARAMS
_remove the list item to remove

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

SEE ALSO

qb_list_empty(3), qb_list_add_tail(3), qb_list_add(3), qb_list_splice_tail(3), qb_list_length(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3),

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.